Subject: Re: bug#20560: 24.5; I am not happy with the new Python mode indentation behaviour

From: Glenn Morris <[email-masked]>
Date: Tue, 12 May 2015 12:06:38 -0400

Fabrice Salvaire wrote:

> my_list = [
> ____1, 2, 3,
> ____4, 5, 6,
> ]

When I type that, I get an error, so perhaps it is not intended:

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  =(nil 5)
  python-syntax-closing-paren-p()
  (and (python-syntax-closing-paren-p) (progn (forward-char 1) (not (nth 1 (or nil (syntax-ppss))))))
  (if (and (python-syntax-closing-paren-p) (progn (forward-char 1) (not (nth 1 (or nil (syntax-ppss)))))) (progn (cons :inside-paren-at-closing-paren start)))
  (save-excursion (skip-syntax-forward " ") (if (and (python-syntax-closing-paren-p) (progn (forward-char 1) (not (nth 1 (or nil (syntax-ppss)))))) (progn (cons :inside-paren-at-closing-paren start))))

> automatically, but I would prefer manual indentation than to fight
> against my editor.

Sounds like you want to turn off electric-indent-mode.